#
# spec file for package lua51 (Version 5.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           lua51
%define pkg_name lua
%define pkg_major 5.1
Version:        5.1
Release:        2.1
#
Group:          Development/Languages/Lua
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ncurses-devel readline-devel
#
Url:            http://www.lua.org/
Source0:        http://www.lua.org/ftp/lua-%{version}.tar.gz
Source1:        http://www.lua.org/ftp/refman-5.0.pdf
Patch0:         lua-5.1-autotoolize-r1.patch.bz2
Patch1:         lua51-5.1.1_pkgconfig_libdir.patch
Patch2:         lua-5.1_automake18.patch
#
Summary:        Powerful light-weight programming language

%description
Lua is a powerful light-weight programming language designed for
extending applications. Lua is also frequently used as a
general-purpose, stand-alone language. Lua is free software.
Lua combines simple procedural syntax with powerful data description
constructs based on associative arrays and extensible semantics. Lua
is dynamically typed, interpreted from bytecodes, and has automatic
memory management with garbage collection, making it ideal for
configuration, scripting, and rapid prototyping.

%package	libs
Summary:        Development files for %{pkg_name}
Group:          Development/Languages/Lua

%description libs
Libraries for lua 5.1

%package	devel
Summary:        Development files for %{pkg_name}
Group:          Development/Languages/Lua
Requires:       %{name} = %{version}-%{release}
Requires:       ncurses-devel, readline-devel, pkgconfig

%description	devel
This package contains development files for %{pkg_name}.

%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1
%patch1
%patch2
%{__cp} %{S:1} .

%build
# fix perms on auto files
chmod u+x autogen.sh config.guess config.sub configure depcomp install-sh missing
./autogen.sh
%configure --with-readline
%{__make}

%install
%makeinstall -C src
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
%{__install} -d -m 0755 %{buildroot}{%{_datadir},%{_libdir}}/lua/%{pkg_major}/ %{buildroot}%{_mandir}/man1/
%{__install} -m 0644 doc/*.1 %{buildroot}%{_mandir}/man1/
%{__install} -m 0644 -D etc/lua.pc %{buildroot}%{_libdir}/pkgconfig/lua.pc

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYRIGHT HISTORY README doc/*.html doc/*.gif *.pdf
%{_bindir}/lua*
%{_mandir}/man1/lua*.1*

%files libs
%defattr(-,root,root,-)
%{_libdir}/liblua-*.so
%dir %{_datadir}/lua/
%dir %{_libdir}/lua/
%dir %{_datadir}/lua/%{pkg_major}/
%dir %{_libdir}/lua/%{pkg_major}/

%files devel
%defattr(-,root,root,-)
%{_includedir}/l*.h
%{_libdir}/liblua.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Nov 27 2006 mrueckert@suse.de
- actually build again
